<?php

require_once 'core/system.php';


//чекаем выдачу награды игрокам


// награда кланам




$yh = 0;

$by = $dbc->query("SELECT * FROM `clan` WHERE `tour`>0  ORDER BY `tour` desc limit 10");




$gold = 600; //сколько даем золота







while($de=$by->fetch_assoc()){


$gold  = $gold -50;

$yh++; 


$dbc->query("UPDATE `clan` SET `kazna`=`kazna`+".$gold." WHERE `id`='".$de['id']."'"); 


$dbc->query("INSERT INTO `clan_journal` SET

        `clan`='".$de['id']."',


`user`='".$de['komandir']."',


        `text`=' Ваш клан занял ".$yh." место в турнире. награда <img src=img/money/money.png>".$gold."',



        `time`='".time()."'"); 

}





$yh = 0;

$by = $dbc->query("SELECT * FROM `users` WHERE `tour`>0  ORDER BY `tour` desc limit 10");





$gold = 320; //сколько даем золота







while($de=$by->fetch_assoc()){


$gold  = $gold -20;


$yh++; 


$dbc->query("UPDATE `users` SET `gold`=`gold`+".$gold." WHERE `id`='".$de['id']."'"); 


$dbc->query("INSERT INTO `journal` SET `user_id`='".$de['id']."', `text`='Вы заняли ".$yh." место в турнире. награда <img src=img/money/money.png>".$gold."',   `time`='".time()."'"); 
$dbc->query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$de['id']."'"); 


 }





$dbc->query("UPDATE `clan` SET `tour`=0 "); 
$dbc->query("UPDATE `users` SET `tour`=0 "); 










